Skip to main content
GET
/
contacts
/
{contactId}
/
memories
Get memories for contact
curl --request GET \
  --url https://api.callers.ai/contacts/{contactId}/memories \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "id": "507f1f77bcf86cd799439011",
      "name": "Communication Preference",
      "text": "Customer prefers email contact",
      "status": "ACTUAL",
      "phoneNumber": "14155552671",
      "campaignId": "507f1f77bcf86cd799439011",
      "createdAt": "2024-04-09T12:00:00.000Z",
      "contactId": "507f1f77bcf86cd799439011",
      "previousMemoryId": "507f1f77bcf86cd799439011",
      "updatedAt": "2024-04-09T13:30:00.000Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.callers.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Headers

x-sub-organization-id
string

Optional sub organization ID. Must belong to your main organization API key.

Path Parameters

contactId
string
required

Contact ID

Query Parameters

status
enum<string>

Filter by memory status

Available options:
ACTUAL,
OUTDATED,
DELETED

Response

status
enum<string>
Available options:
success
data
object[]